Gtk_Frame(3)

NAME - Gtk_Frame

HEADER REQUIRED
#include <gtk--/frame.h&gt;>

BASE CLASSES
Gtk_Bin(3)

DERIVED BY
Gtk_AspectFrame(3)

PROPERTIES

label
    Type: string

shadow_type
    Type: gint16

label_width
    Type: gint16

label_height
    Type: gint16

label_xalign
    Type: gfloat

label_yalign
    Type: gfloat

     .IP

PUBLIC MEMBER INDEX
    Gtk_Frame();
    Gtk_Frame(const _gtk_string &label);
    Gtk_Frame(GtkFrame *castitem);
    void  set_label();
    void  set_label(const _gtk_string &str);
    const string  get_label() const;
    void  set_label_align(gfloat xalign=0.0, gfloat yalign=0.5);
    gfloat  get_label_xalign() const;
    gfloat  get_label_yalign() const;
    GtkShadowType  set_shadow_type(GtkShadowType type);
    GtkShadowType  get_shadow_type() const;
    GtkFrame*  gtkobj();
    const GtkFrame*  gtkobj() const;
    static bool  isGtkFrame(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkFrame  BaseObjectType;
    typedef GtkFrameClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  frame_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS